Subject: [netlmm] (no subject)

From: Christian Vogt <[email-masked]>
Date: Mon, 06 Aug 2007 16:34:31 +0300

Everybody,

I have closed the following issues in the tracker, according to the
changes from version 00 to version 01 of the P-MIPv6 base specification
and recent mailing list discussions:

  #149
  #150
  #151
  #153
  #154
  #158
  #156
  #161
  #162
  #163
  #164

Issue #157 (on editorial quality) remains open due to Sri's comment
during the NETLMM session that one more iteration will be needed --
although I think there has already been some substantial improvement in
version 01.

Issue #160 (Timestamps vs. Sequence Numbers) will also get solved with
the next version of the base specification.  Noted this in the tracker.

- Christian

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: Sri Gundavelli <[email-masked]>
Date: Mon, 6 Aug 2007 23:15:07 -0700 (PDT)

Hi Christian,

Thanks for tracking these issues. This is fine.

Regards
Sri

---

From: Sri Gundavelli <[email-masked]>
Date: Tue, 7 Aug 2007 00:03:26 -0700 (PDT)

This issue was opened by Alper Yegin.

The issue was related to the use of MUST clause in specifying
the IPSec requirement for Proxy Mobile IPv6 protocol. Alper
was suggesting that we relax that requirement and potentially
leave a room for Auth Option support in future.

But, as most people agreed and as supported by Jari, this can
always be changed in future when the support for new security
mechanisms such as Auth Option are defined for Proxy Mobile IPv6
and that specific document can always modify this requirement.
So, no changes will be made to the document on this issue.

Regards
Sri

---

From: "Alper Yegin" <[email-masked]>
Date: Tue, 7 Aug 2007 11:41:13 +0300

> leave a room for Auth Option support in future.

Actually, I didn't mean it specifically for Auth Option. It can be anything.
Given that the security is handled by a separate protocol, why lock it down
to "IPsec", when some other protocol (Auth Option being one example) cannot
be used.

> But, as most people agreed and as supported by Jari, this can

My understanding was the opposite, especially about Jari's statement.

> So, no changes will be made to the document on this issue.

What if Auth Option is good enough as written?
What if a document in another SDO defines the alternative security
mechanism?

For the type of interop we are seeking in IETF, "MUST implement" is good
enough. "MUST use" is not necessary.

Alper

---

From: "Sri Gundavelli" <[email-masked]>
Date: Tue, 7 Aug 2007 18:29:22 -0700

Hi Alper,

> -----Original Message-----
> From: Alper Yegin [mailto:[email-masked]] 
> Sent: Tuesday, August 07, 2007 1:41 AM
> To: 'Sri Gundavelli'; [email-masked]
> Subject: RE: [netlmm] Issue: Auth Option support
> 

Ok. May be I misread the conclusion. I will let other clarify the
summary of the discussion on this topic in chicago. 

> enough. "MUST use" is not necessary.

Ok. I'm fine either way. I will let others clarify the consensus
and we will document the same.

Thanks
Sri

---

From: Christian Vogt <[email-masked]>
Date: Thu, 09 Aug 2007 10:33:05 +0300

> summary of the discussion on this topic in chicago.

I opened up this issue in the tracker and will leave it open until we
have reached consensus on it.  I encourage folks to send their opinion.

My personal opinion is that the implementation of IPsec authentication
should be mandatory, while the use of it should be recommended.

This would ensure interoperability while leaving room for alternative
means for authentication.

It would also be in-line with C-MIPv6.  See section 5.1 in RFC 3775.

- Christian

---

From: Vijay Devarapalli <[email-masked]>
Date: Thu, 09 Aug 2007 08:26:45 -0700

> means for authentication.

Agree.

Vijay